file_list = dir('*_consensus_DEER_distribution.csv');
for k = 1:length(file_list)
    fname = file_list(k).name;
    poi = strfind(fname,'_consensus_DEER_distribution.csv');
    fulldata = strcat(fname(1:poi-1),'_comparative_DEER_analysis.mat');
    d = load(fulldata);
    oname_dat = strcat('CSV\',fname);
    fid = fopen(oname_dat,'wt');
    fprintf(fid,'%%distance, %%probability, %%lower bound, %%upper bound\n');
    for kr = 1:length(d.dataset.r)
        fprintf(fid,'%5.2f,',d.dataset.r(kr));
        fprintf(fid,'%8.5f,',d.dataset.P_comparative(kr));
        fprintf(fid,'%8.5f,',d.dataset.P_comparative_lb(kr));
        fprintf(fid,'%8.5f\n',d.dataset.P_comparative_ub(kr));
    end
    fclose(fid);
end